[Risolto] Scanner stampante hp laser jet m140we

Riconoscimento, installazione e configurazione delle periferiche.
Scrivi risposta
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

[Risolto] Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

Buon giorno, come da titolo ho un problema con lo scanner della stampante. Ho due pc con installati i SO in firma, e il problema si presenta solo con la distribuzione 18.4, sia che uso il collegamento usb che wi-fi. Quando avvio il programma di scansione, sia Simple-scan che Xsane, lo scannere si avvia regolarmente per la scansione, ma poi non mostra la scansione a video.
Dicendomi che lo scanner non esegue i comandi, eppure la scansione la fà. Ho provato ad reinstallare i drive, hplip 3.22.10 e in fase di installazione mi da questo errore:
sudo -H pip2 install opencv-python (Scanjet-depend step 10)
warning: Failed to install this Scanjet dependency package. Some Scanjet features will not work.

Preciso che quando avvio i programmi, su menzionati, lo scanner viene riconosciuto. Plugin installati, versione SO 22.4 nessun problema. La stampante va bene con la 18.4 con tutti e due i collegamenti.
Ultima modifica di Roberto Pontecorvi il martedì 27 giugno 2023, 13:58, modificato 1 volta in totale.
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 24690
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Scanner stampante hp laser jet m140we

Messaggio da magozurlinux »

Ciao.

La 18.04 non è più supportata.

Con la multifunzione HP accesa, da terminale postami questo comando:

Codice: Seleziona tutto

hp-check
Xubuntu 20.04 LTS i686 Desktop :ciao:
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

Grazie, ecco qui:

Codice: Seleziona tutto

roberto@roberto-EP43-S3L:~$ hp-check
Saving output in log file: /home/roberto/hp-check.log

HP Linux Imaging and Printing System (ver. 3.22.10)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed 
to successfully compile HPLIP.                                                                                                                                                  
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper       
dependencies installed to successfully run.                                                                                                                                     
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).                      

Check types:                                                                                                                                                                    
a. EXTERNALDEP - External Dependencies                                                                                                                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)                                                                                                    
c. COMPILEDEP - Compile time Dependencies                                                                                                                                       
d. [All are run-time checks]                                                                                                                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                                                                                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

 
---------------
| SYSTEM INFO |
---------------

 Kernel: 4.15.0-212-generic #223-Ubuntu SMP Tue May 23 13:09:22 UTC 2023 GNU/Linux
 Host: roberto-EP43-S3L
 Proc: 4.15.0-212-generic #223-Ubuntu SMP Tue May 23 13:09:22 UTC 2023 GNU/Linux
 Distribution: 12 18.04
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.22.10
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro  18.04 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.22.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.22.10
html=/usr/share/doc/hplip-3.22.10
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.22.10
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no
class-driver=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: File o directory non esistente

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = false
last_upgraded_time = 1685731017
pending_upgrade_time = 0

[installation]
date_time = 02/06/2023 20:38:09
version = 3.22.10


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------
| COMPILEDEP |
--------------

 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               7.5.0           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -

------------------------
| General Dependencies |
------------------------

 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.1.1           OK         -
 python-xml           Python XML libraries                                         REQUIRED        -               2.2.5           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               -               OK         -
 pil                  PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               5.1.0           OK         -
 pyqt4-dbus           PyQt 4 DBus - DBus Support for PyQt4                         REQUIRED        4.0             4.12.1          OK         -
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               2.27            OK         -
 python-devel         Python devel - Python development files                      REQUIRED        2.2             2.7.17          OK         -
 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.2.7           OK         -
 libavahi-dev         libavahi-dev                                                 REQUIRED        -               -               OK         -
 python-dbus          Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.6           OK         -
 cups-ddk             CUPS DDK - CUPS driver development kit                       OPTIONAL        -               -               OK         -
 reportlab            Reportlab - PDF library for Python                           OPTIONAL        2.0             3.4.0           OK         -
 pyqt4                PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.12.1          OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.2.7           OK         -
 python2X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             2.7.17          OK         -
 python-notify        Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               -               OK         -

----------------------
| Scan Configuration |
----------------------

 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.22.10         OK         -
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.22.10         OK         'hpaio found in /etc/sane.d/dll.conf'

-------------------------
| External Dependencies |
-------------------------

 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.26            OK         -
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.27          OK         -
 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.2.7           OK         'CUPS Scheduler is running'
 network              network -wget                                                OPTIONAL        -               1.19.4          OK         -
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 dbus                 DBus - Message bus system                                    REQUIRED        -               1.12.2          OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.7             OK         -

---------------------
| Python Extentions |
---------------------

 hpmudext             IO-Extension                                                 REQUIRED        -               3.22.10         OK         -
 cupsext              CUPS-Extension                                               REQUIRED        -               3.22.10         OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664' is a Hewlett-Packard HP_LaserJet_MFP_M139-M142 all-in-one
device `hpaio:/net/HP_LaserJet_MFP_M139-M142?hostname=NPI5F3592.local' is a Hewlett-Packard HP_LaserJet_MFP_M139-M142 all-in-one
device `hpaio:/net/hp_laserjet_mfp_m139-m142?ip=192.168.1.12&queue=false' is a Hewlett-Packard hp_laserjet_mfp_m139-m142 all-in-one
device `hpaio:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664' is a Hewlett-Packard HP_LaserJet_MFP_M139-M142 all-in-one
device `hpaio:/net/HP_LaserJet_MFP_M139-M142?hostname=NPI5F3592.local' is a Hewlett-Packard HP_LaserJet_MFP_M139-M142 all-in-one
device `hpaio:/net/hp_laserjet_mfp_m139-m142?ip=192.168.1.12&queue=false' is a Hewlett-Packard hp_laserjet_mfp_m139-m142 all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                                           Model                              
  ---------------------------------------------------  -----------------------------------
  hp:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664  HP LaserJet MFP M139-M142          

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
HP_LaserJet_1020
----------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_1020?serial=FN0P7TZ
PPD: /etc/cups/ppd/HP_LaserJet_1020.ppd
PPD Description: HP LaserJet 1020, hpcups 3.17.10, requires proprietary plugin
Printer status: la stampante HP_LaserJet_1020 è inattiva.  è stata abilitata da gio 01 giu 2023 12:21:47 CEST
error: Required plug-in status: Not installed
error: Unable to communicate with device (code=12): hp:/usb/HP_LaserJet_1020?serial=FN0P7TZ
error: Device not found
error: Communication status: Failed

HP_LaserJet_MFP_M139-M142
-------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664
PPD: /etc/cups/ppd/HP_LaserJet_MFP_M139-M142.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M139-M142.ppd ppd file
PPD Description: 
Printer status: la stampante HP_LaserJet_MFP_M139-M142 è inattiva.  è stata abilitata da ven 02 giu 2023 09:21:12 CEST
Communication status: Good

HP_LaserJet_MFP_M139-M142_2
---------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664
PPD: /etc/cups/ppd/HP_LaserJet_MFP_M139-M142_2.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M139-M142_2.ppd ppd file
PPD Description: 
Printer status: la stampante HP_LaserJet_MFP_M139-M142_2 è inattiva.  è stata abilitata da ven 02 giu 2023 20:37:47 CEST
Communication status: Good

HP_LaserJet_MFP_M140w_5F3592_
-----------------------------
Type: Printer
Device URI: hp:/net/HP_LaserJet_MFP_M139-M142?hostname=NPI5F3592.local
PPD: /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_.ppd ppd file
PPD Description: 
Printer status: la stampante HP_LaserJet_MFP_M140w_5F3592_ è inattiva.  è stata abilitata da ven 02 giu 2023 09:39:09 CEST
Communication status: Good

HP_LaserJet_MFP_M140w_5F3592_@NPI5F3592.local
---------------------------------------------
Type: Unknown
Device URI: ipps://NPI5F3592.local:631/ipp/print
PPD: /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_@NPI5F3592.local.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_@NPI5F3592.local.ppd ppd file
PPD Description: 
Printer status: la stampante HP_LaserJet_MFP_M140w_5F3592_@NPI5F3592.local è inattiva.  è stata abilitata da ven 02 giu 2023 20:00:52 CEST
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.


--------------
| PERMISSION |
--------------

USB             HP_LaserJet_MFP_M139-M142      Required        -        -        OK       Node:'/dev/bus/usb/001/005' Perm:'  root  lp rw- rw- rw- rw- r--'
 
-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None


Plug-in Status
--------------
error: Plug-ins need to be installed

Total Errors: 2
Total Warnings: 1


Done.
ecco qui. Ma gli aggirnamenti me li ha fatti fino a qualche giorno fà. Il difetto lo ha fatto all'improviso e penso che il supporto non centri nulla o mi sbaglio. Certo per la reinstallazione il problema potrebbe essere questo. Se vuoi ti posso dare la risposta dall'altro computer dal quale non ho fatto ancora nulla.
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

questo è quello relativo alla 18.4 di cui ancora non ho fatto nulla, ma non funziona come specificato:

Codice: Seleziona tutto

roberto@roberto-OptiPlex-390:~$ hp-check
Saving output in log file: /home/roberto/hp-check.log

HP Linux Imaging and Printing System (ver. 3.22.10)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to successfully compile HPLIP.     
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper dependencies installed to successfully   
run.                                                                                                                                                                                                               
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).                                                         

Check types:                                                                                                                                                                                                       
a. EXTERNALDEP - External Dependencies                                                                                                                                                                             
b. GENERALDEP - General Dependencies (required both at compile and run time)                                                                                                                                       
c. COMPILEDEP - Compile time Dependencies                                                                                                                                                                          
d. [All are run-time checks]                                                                                                                                                                                       
PYEXT SCANCONF QUEUES PERMISSION                                                                                                                                                                                   

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

 
---------------
| SYSTEM INFO |
---------------

 Kernel: 5.4.0-135-generic #152~18.04.2-Ubuntu SMP Tue Nov 29 08:23:49 UTC 2022 GNU/Linux
 Host: roberto-OptiPlex-390
 Proc: 5.4.0-135-generic #152~18.04.2-Ubuntu SMP Tue Nov 29 08:23:49 UTC 2022 GNU/Linux
 Distribution: 12 18.04
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.22.10
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro  18.04 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.22.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.22.10
html=/usr/share/doc/hplip-3.22.10
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.22.10
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no


Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1
version = 3.22.10



Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = true
last_upgraded_time = 1674291346
pending_upgrade_time = 0

[last_used]
device_uri = "hp:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664"
printer_name = HP-LaserJet-MFP-M139-M142
working_dir = .

[installation]
date_time = 03/06/2023 08:27:31
version = 3.22.10

[settings]
systray_visible = 0
systray_messages = 0

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list = 

[fax]
voice_phone = 
email_address = 


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------
| COMPILEDEP |
--------------

 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               7.5.0           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -

------------------------
| General Dependencies |
------------------------

 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.1.1           OK         -
 python-xml           Python XML libraries                                         REQUIRED        -               2.2.5           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               -               OK         -
 pil                  PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               5.1.0           OK         -
 pyqt4-dbus           PyQt 4 DBus - DBus Support for PyQt4                         REQUIRED        4.0             4.12.1          OK         -
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               2.27            OK         -
 python-devel         Python devel - Python development files                      REQUIRED        2.2             2.7.17          OK         -
 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.2.7           OK         -
 libavahi-dev         libavahi-dev                                                 REQUIRED        -               -               OK         -
 python-dbus          Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.6           OK         -
 cups-ddk             CUPS DDK - CUPS driver development kit                       OPTIONAL        -               -               OK         -
 reportlab            Reportlab - PDF library for Python                           OPTIONAL        2.0             3.4.0           OK         -
 pyqt4                PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.12.1          OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.2.7           OK         -
 python2X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             2.7.17          OK         -
 python-notify        Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               -               OK         -

----------------------
| Scan Configuration |
----------------------

 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.22.10         OK         -
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.22.10         OK         'hpaio found in /etc/sane.d/dll.conf'

-------------------------
| External Dependencies |
-------------------------

 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.26            OK         -
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.27          OK         -
 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.2.7           OK         'CUPS Scheduler is running'
 network              network -wget                                                OPTIONAL        -               1.19.4          OK         -
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 dbus                 DBus - Message bus system                                    REQUIRED        -               1.12.2          OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.7             OK         -

---------------------
| Python Extentions |
---------------------

 hpmudext             IO-Extension                                                 REQUIRED        -               3.22.10         OK         -
 cupsext              CUPS-Extension                                               REQUIRED        -               3.22.10         OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664' is a Hewlett-Packard HP_LaserJet_MFP_M139-M142 all-in-one
device `hpaio:/net/hp_laserjet_mfp_m139-m142?ip=192.168.1.12&queue=false' is a Hewlett-Packard hp_laserjet_mfp_m139-m142 all-in-one
device `hpaio:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664' is a Hewlett-Packard HP_LaserJet_MFP_M139-M142 all-in-one
device `hpaio:/net/hp_laserjet_mfp_m139-m142?ip=192.168.1.12&queue=false' is a Hewlett-Packard hp_laserjet_mfp_m139-m142 all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                                           Model                                     
  ---------------------------------------------------  ------------------------------------------
  hp:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664  HP LaserJet MFP M139-M142                 

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
HP-LaserJet-MFP-M139-M142
-------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_MFP_M139-M142?serial=VNF5730664
PPD: /etc/cups/ppd/HP-LaserJet-MFP-M139-M142.ppd
PPD Description: HP LaserJet MFP m139-m142, hpcups 3.22.10
Printer status: la stampante HP-LaserJet-MFP-M139-M142 è inattiva.  è stata abilitata da mer 31 mag 2023 18:37:38 CEST
Communication status: Good

HP_LaserJet_MFP_M140w_5F3592_
-----------------------------
Type: Unknown
Device URI: ipps://NPI5F3592.local:631/ipp/print
PPD: /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_.ppd ppd file
PPD Description: 
Printer status: la stampante HP_LaserJet_MFP_M140w_5F3592_ è inattiva.  è stata abilitata da sab 03 giu 2023 08:27:08 CEST
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.


--------------
| PERMISSION |
--------------

USB             HP-LaserJet-MFP-M139-M142      Required        -        -        OK       Node:'/dev/bus/usb/002/003' Perm:'  root  lp rw- rw- rw- rw- r--'
 
-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None


Total Errors: 0
Total Warnings: 1


Done.
Avatar utente
Stealth
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 17288
Iscrizione: martedì 31 gennaio 2006, 22:55
Desktop: Gnome
Distribuzione: Ubuntu 20.04 LTS

Re: Scanner stampante hp laser jet m140we

Messaggio da Stealth »

Devi cambiare il proprietario (o aggiustare i permessi) al ppd, il check te lo dice mille volte. E, sempre a dar retta al check, devi installare (o reinstallare) il plugin.
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

@ Stealth - grazie per la risposta, ma quel file abilita la stampa post-script e la mia stampante non li usa. Comunque abilitati ma non funziona.Infatti nel secondo pc che il file è abilitato, lo scanner non funziona, come già spiegato in precedenza.
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_.ppd ppd file
@ magozurlinux - questa mattina sul secondo pc sono arrivati degli aggiornamenti.
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 24690
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Scanner stampante hp laser jet m140we

Messaggio da magozurlinux »

Ciao.

Da terminale con la multifunzione HP accesa postami questi comandi:

Codice: Seleziona tutto

sudo scanimage -L

Codice: Seleziona tutto

sudo sane-find-scanner

Codice: Seleziona tutto

groups
Xubuntu 20.04 LTS i686 Desktop :ciao:
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

Ecco qui:

Codice: Seleziona tutto

roberto@roberto-EP43-S3L:~$ sudo scanimage -L
[sudo] password di roberto: 
device `hpaio:/net/HP_LaserJet_MFP_M139-M142?hostname=NPI5F3592.local' is a Hewlett-Packard HP_LaserJet_MFP_M139-M142 all-in-one
device `hpaio:/net/hp_laserjet_mfp_m139-m142?ip=192.168.1.12&queue=false' is a Hewlett-Packard hp_laserjet_mfp_m139-m142 all-in-one
roberto@roberto-EP43-S3L:~$ 
-------------------------------------------

Codice: Seleziona tutto

roberto@roberto-EP43-S3L:~$ sudo sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

  # No USB scanners found. If you expected something different, make sure that
  # you have loaded a kernel driver for your USB host controller and have setup
  # the USB system correctly. See man sane-usb for details.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.
roberto@roberto-EP43-S3L:~$ 
-----------------------------------

Codice: Seleziona tutto

roberto@roberto-EP43-S3L:~$ groups
roberto adm tty dialout cdrom sudo dip plugdev lpadmin scanner sambashare
roberto@roberto-EP43-S3L:~$ 
Stampante collegata tramite wifi
ivantu
Rampante Reduce
Rampante Reduce
Messaggi: 6610
Iscrizione: sabato 8 giugno 2013, 9:25
Desktop: Ubuntu Lubuntu Budgie
Distribuzione: 20.04 LTS; 22.04 LTS
Sesso: Maschile

Re: Scanner stampante hp laser jet m140we

Messaggio da ivantu »

Roberto Pontecorvi ha scritto:
sabato 3 giugno 2023, 20:45
@ Stealth - grazie per la risposta, ma quel file abilita la stampa post-script e la mia stampante non li usa. Comunque abilitati ma non funziona.Infatti nel secondo pc che il file è abilitato, lo scanner non funziona, come già spiegato in precedenza.
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M140w_5F3592_.ppd ppd file
@ magozurlinux - questa mattina sul secondo pc sono arrivati degli aggiornamenti.
:ot:
Non è che... le stampanti possono essere assegnate solo con un massimo di dispositivi? O.. le assegnazioni rete o bluetooth delle schede integrate nelle stampanti, sono infinite?
sicuri??

Lo so che potrebbe esservi strano, a rigirare la ruota.
Vengo qui nel forum, e vedo sempre le stesse frittate. stampanti che non si connettono con i sistemi. :(
Se è possibile guardare le cose da un'altra prospettiva... senza farsi mille domande.

edit: secondo, visto che su un computer funziona, credo, che è possibile assegnare il pc funzionante, come server di stampa, e associare/condividere il computer non funzionante con il computer che ha la stampante funzionante/riconosciuta. O no?
Buona giornata utenti del forum. :ciao: ivantu
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

@ ivantu - vedo che c'è un pò di confusione. In poche parole:
1" pc due stampanti - SO 18.4 - hp1020 (collegamento usb) - hp M140we (collegamento wifi). Le stampante funziona e lo scanner no. questo anche con la usb.
SO 22.4 - funzionano tutto - stampanti e scanner sulla hp140 (collegamenti usb e wifi).

2" pc una stampante - SO 18.4 - hp 140we funziona la stampa e non lo scanner (collegamento wifi).
SO 22.4 - hp 140we funziona tutto (collegamento wifi).
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 24690
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Scanner stampante hp laser jet m140we

Messaggio da magozurlinux »

Roberto Pontecorvi ha scritto:
martedì 6 giugno 2023, 18:00
@ ivantu - vedo che c'è un pò di confusione. In poche parole:
1" pc due stampanti - SO 18.4 - hp1020 (collegamento usb) - hp M140we (collegamento wifi). Le stampante funziona e lo scanner no. questo anche con la usb.
SO 22.4 - funzionano tutto - stampanti e scanner sulla hp140 (collegamenti usb e wifi).

2" pc una stampante - SO 18.4 - hp 140we funziona la stampa e non lo scanner (collegamento wifi).
SO 22.4 - hp 140we funziona tutto (collegamento wifi).
Rimuovi la stampante da Stampanti e reinstallala da terminale in wifi usando un cavo usb.
Xubuntu 20.04 LTS i686 Desktop :ciao:
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

Nulla da fare tutto come descritto nel 1° post. Oggi ho un po di tempo libero e vedo come sono le configurazioni tra i due SO.
ivantu
Rampante Reduce
Rampante Reduce
Messaggi: 6610
Iscrizione: sabato 8 giugno 2013, 9:25
Desktop: Ubuntu Lubuntu Budgie
Distribuzione: 20.04 LTS; 22.04 LTS
Sesso: Maschile

Re: Scanner stampante hp laser jet m140we

Messaggio da ivantu »

Roberto Pontecorvi ha scritto:
giovedì 8 giugno 2023, 7:59
Nulla da fare tutto come descritto nel 1° post. Oggi ho un po di tempo libero e vedo come sono le configurazioni tra i due SO.
l'avviso, si presenta con qualsiasi versione di hplip? Verificato?
Roberto Pontecorvi ha scritto:
venerdì 2 giugno 2023, 14:06
Buon giorno, come da titolo ho un problema con lo scanner della stampante. Ho due pc con installati i SO in firma, e il problema si presenta solo con la distribuzione 18.4, sia che uso il collegamento usb che wi-fi. Quando avvio il programma di scansione, sia Simple-scan che Xsane, lo scannere si avvia regolarmente per la scansione, ma poi non mostra la scansione a video.
Dicendomi che lo scanner non esegue i comandi, eppure la scansione la fà. Ho provato ad reinstallare i drive, hplip 3.22.10 e in fase di installazione mi da questo errore:
sudo -H pip2 install opencv-python (Scanjet-depend step 10)
warning: Failed to install this Scanjet dependency package. Some Scanjet features will not work.

Preciso che quando avvio i programmi, su menzionati, lo scanner viene riconosciuto. Plugin installati, versione SO 22.4 nessun problema. La stampante va bene con la 18.4 con tutti e due i collegamenti.
posta qui l'output comando di terminale

Codice: Seleziona tutto

dpkg -l | grep opencv

Codice: Seleziona tutto

dpkg -l | grep python
python -V
forse credo di aver capito, python* il problema.

Codice: Seleziona tutto

sudo apt install python-is-python3
Buona giornata utenti del forum. :ciao: ivantu
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

Ecco le risposte:

Codice: Seleziona tutto

[code]roberto@roberto-EP43-S3L:~$ dpkg -l | grep opencv
ii  libopencv-calib3d3.2:amd64             3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Camera Calibration library
ii  libopencv-contrib3.2:amd64             3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision contrlib library
ii  libopencv-core3.2:amd64                3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision core library
ii  libopencv-features2d3.2:amd64          3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Feature Detection and Descriptor Extraction library
ii  libopencv-flann3.2:amd64               3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Clustering and Search in Multi-Dimensional spaces library
ii  libopencv-highgui3.2:amd64             3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision High-level GUI and Media I/O library
ii  libopencv-imgcodecs3.2:amd64           3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Image Codecs library
ii  libopencv-imgproc3.2:amd64             3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Image Processing library
ii  libopencv-ml3.2:amd64                  3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Machine Learning library
ii  libopencv-objdetect3.2:amd64           3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Object Detection library
ii  libopencv-photo3.2:amd64               3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision computational photography library
ii  libopencv-shape3.2:amd64               3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision shape descriptors and matchers library
ii  libopencv-stitching3.2:amd64           3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision image stitching library
ii  libopencv-superres3.2:amd64            3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Super Resolution library
ii  libopencv-video3.2:amd64               3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Video analysis library
ii  libopencv-videoio3.2:amd64             3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision Video I/O library
ii  libopencv-videostab3.2:amd64           3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision video stabilization library
ii  libopencv-viz3.2:amd64                 3.2.0+dfsg-4ubuntu0.1                           amd64        computer vision 3D data visualization library
ii  python-opencv                          3.2.0+dfsg-4ubuntu0.1                           amd64        Python bindings for the computer vision library

-------------------------
roberto@roberto-EP43-S3L:~$ python -V
Python 2.7.17

-------------------------------------------------------------
roberto@roberto-EP43-S3L:~$ sudo apt install python-is-python3
[sudo] password di roberto: 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto python-is-python3
La risposta al comando -> dpkg -l | grep python è troppo lunga e non me la fa inserire. Se serve la divido in due e la posto. fammi sapere. Il file -> python-is-python3 è presente sulla 22.4 ma non è installato.

Edit- per capire meglio il problema è come se una volta fatta la scansione, che avviene regolarmente, i dati trasmessi dallo scanner non vengano interpretati dal SO.
Roberto Pontecorvi
Rampante Reduce
Rampante Reduce
Messaggi: 6492
Iscrizione: mercoledì 20 maggio 2009, 22:48
Distribuzione: 18.4 mate - 22.4 mate
Sesso: Maschile
Località: Versilia

Re: Scanner stampante hp laser jet m140we

Messaggio da Roberto Pontecorvi »

Ho risolto sulla 18.4. Ci sono voluti parecchi tentativi ma alla fine ho vinto. Il problema è stato così risolto:
- Cancellazione di tutti i hp-* dal sistema (controllato ogni directory del SO);
- cancellato cups, come sopra;
- reinstallata la stampante sul modem (dopo averla eliminata);
- reinstallato Cups;
- installati i drive hp 3.23.5.
Sempre errore -> opencv-python - ma ora tutto funziona. Continuo alla ricerca del problema -> opencv-python
Scrivi risposta

Ritorna a “Driver e periferiche”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 6 ospiti